Get A2A agent card

Server: https://{kibana_url}
  • GET /api/agent_builder/a2a/{agentId}.json

Get agent discovery metadata in JSON format. Use this endpoint to provide agent information for A2A protocol integration and discovery. To learn more about the Agent Builder A2A server, refer to the A2A server documentation.

[Required authorization] Route required privileges: agentBuilder:read.

Path Parameters

agentId string required

The unique identifier of the agent to get A2A metadata for.

Response

200

Indicates a successful response

application/json